<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Tabla para mostrar el predioSeleccionado. Esta en plural porque es un List.

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<p:dataTable
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:misc="http://java.sun.com/jsf/composite/misc"
    xmlns:predio="http://java.sun.com/jsf/composite/predio"
    xmlns:p="http://primefaces.org/ui" id="datosPredioPanelGrid" 
    var="predio" rendered="#{(proyectarConservacion.tramite.segunda 
                             or proyectarConservacion.tramite.cancelacionMasiva)
                             and proyectarConservacion.predioSeleccionado ne null}"
    value="#{proyectarConservacion.prediosSeleccionados}" 
    emptyMessage="No se ha creado el predio resultante">
    <f:facet name="header">
        Predio seleccionado
    </f:facet>
    <p:column>
        <f:facet name="header">Número predial</f:facet>
        <h:outputText value="#{predio.numeroPredial}" />
    </p:column>

    <p:column headerText="Departamento">
        <h:outputText value="#{predio.departamento.nombre}" />
    </p:column>

    <p:column headerText="Municipio">
        <h:outputText value="#{predio.municipio.nombre}" />
    </p:column>

    <p:column>
        <f:facet name="header">Tipo predio</f:facet>
        <h:outputText value="#{predio.tipo}" id="PredioTipoV">
            <f:converter converterId="converterCB" for="PredioTipoV" />
        </h:outputText>
    </p:column>
</p:dataTable>


